import eprog.*;

public class Check extends EprogIO 
{
    public static void main (String [] args) 
    {
	boolean spezError = false;
	boolean inputError = false;

	try {
	    String datum = readWord();                          // Datum wird eingelesen        
	    if (datum.length() != 8)                            // Eingabelnge wird berprft
		inputError = true; 
	    
	    int punkt1 = datum.substring(2,3).compareTo (".");  // berprft ob 3.Stelle ein "." ist
	    if (punkt1 != 0)
		inputError = true;

	    int punkt2 = datum.substring(5,6).compareTo (".");  // berprft ob 5.Stelle ein "." ist 
	    if (punkt2 != 0)
		inputError = true;
	    
	    
	    String tag = datum.substring(0,2);                  // Tag wird aus dem Datum ausgelesen 
	    int tag1 = Integer.parseInt(tag);                   // und von String in einen Integerwert umgewandelt  
	
	    String monat = datum.substring(3,5);                // Monat wird aus dem Datum ausgelesen
	    int monat1 = Integer.parseInt(monat);               // und von String in einen Integerwert umgewandelt
	
	    String jahr = datum.substring(6,8);                 // Jahr wird aus dem Datum ausgelesen 
 	    int jahr1 = Integer.parseInt(jahr);                 // und von String in einen Integerwert umwandeln
	
	    if (monat1<1 || monat1>12)                          // die Korrektheit der Monatseingabe wird berprft
		spezError = true;
	    
	    switch (monat1)                                     // Fallunterscheidung der Monate 
		{
		case 4: case 6: case 9: case 11:                       
		    if (tag1<1 || tag1>30)
			spezError = true; break;

	        case 2:
		    if (jahr1 % 4 == 0 && jahr1!=0) {           // spezielle Unterscheidung von Schaltjahren
		        if (tag1<1 || tag1>29)
			    spezError = true; break;
		        }
		    else if (tag1<1 || tag1>28)
			spezError = true; break;
		
		default:      
		    if (tag1<1 || tag1>31)
			spezError = true; break;
		}
	} catch (IndexOutOfBoundsException e1) {                 // abfangen der Exceptions
	    inputError = true;
	
	} catch (NumberFormatException e2)  {                    
	    inputError = true;
	}
	
	if (inputError)                                         // Fehlerberprfung und Ausgabe
	    println("FALSCHE EINGABE");
	else if (spezError)
	         println("N");
	     else println("J"); 

	
    }

}
	
